## python-django 1.11.29

=== debian/changelog ===
python-django (1:1.11.29-1+deb10u16) buster-security; urgency=high

  * Non-maintainer upload by the ELTS security team. (Closes: #1116979)
  * CVE-2025-59681: Fix a potential SQL injection in QuerySet.annotate(),
    alias(), aggregate() and extra(). These methods were subject to SQL
    injection in column aliases, using a suitably crafted dictionary via
    dictionary expansion as the **kwargs passed to these methods on MySQL
    and MariaDB.
  * CVE-2025-59682: Fix a potential partial directory-traversal vulnerability
    in archive.extract(). This function, used by startapp --template and
    startproject --template, allowed partial directory-traversal via an archive
    with file paths sharing a common prefix with the target directory.
  * Add hint-testsuite-triggers so that this package gets 'reverse' tested when
    updating Python in buster ELTS.

 -- Chris Lamb <lamby@debian.org>  Tue, 07 Oct 2025 13:28:41 -0700

python-django (1:1.11.29-1+deb10u15) buster-security; urgency=high

  * Non-maintainer upload by the ELTS security team.
  * CVE-2023-43665: Address a denial-of-service possibility in
    django.utils.text.Truncator. Following the fix for CVE-2019-14232, the
    regular expressions used in the implementation of
    django.utils.text.Truncator’s chars() and words() methods (with html=True)
    were revised and improved. However, these regular expressions still
    exhibited linear backtracking complexity, so when given a very long,
    potentially malformed HTML input, the evaluation would still be slow,
    leading to a potential denial of service vulnerability. The chars() and
    words() methods are used to implement the truncatechars_html and
    truncatewords_html template filters, which were thus also vulnerable.  The
    input processed by Truncator, when operating in HTML mode, has been limited
    to the first five million characters in order to avoid potential
    performance and memory issues.
  * CVE-2024-24680: Potential denial-of-service in intcomma template filter.
    The intcomma template filter was subject to a potential denial-of-service
    attack when used with very long strings.
  * CVE-2025-32873: Denial-of-service possibility in strip_tags().
    django.utils.html.strip_tags() would be slow to evaluate certain inputs
    containing large sequences of incomplete HTML tags. This function is used
    to implement the striptags template filter, which was therefore also
    vulnerable. strip_tags() now raises a SuspiciousOperation exception if it
    encounters an unusually large number of unclosed opening tags.
    (Closes: #1104872)

 -- Chris Lamb <lamby@debian.org>  Fri, 13 Jun 2025 11:15:47 -0700

python-django (1:1.11.29-1+deb10u14) buster-security; urgency=high

  * CVE-2025-26699: Prevent a potential denial-of-service in the wrap()
    method of the django.utils.text module. This method and wordwrap template
    filter were subject to a potential DoS attack when used with very long
    strings. (Closes: #1099682)
  * Fix compatibility with CVE-2024-11168 and CVE-2025-0938 after upload of
    src:python2.7 version 2.7.16-2+deb10u5.

 -- Chris Lamb <lamby@debian.org>  Wed, 19 Mar 2025 14:45:44 +0000

python-django (1:1.11.29-1+deb10u13) buster-security; urgency=high

  * Non-maintainer upload by the ELTS security team.
  * CVE-2024-53907: Prevent a potential Denial of Service (DoS) attack. The
    strip_tags method and striptags template filter were subject to a
    potential denial-of-service attack via certain inputs containing large
    sequences of nested incomplete HTML entities.
  * CVE-2024-56374: Prevent another potential Denial of Service (DoS) attack.
    Lack of upper-bound limit enforcement in strings passed when performing
    IPv6 validation could have led to a potential denial-of-service attack.
    The clean_ipv6_address and is_valid_ipv6_address functions were vulnerable
    as was the GenericIPAddressField form field. The GenericIPAddressField
    model field was not affected. (Closes: #1093049)

 -- Chris Lamb <lamby@debian.org>  Tue, 28 Jan 2025 10:58:14 +0000

python-django (1:1.11.29-1+deb10u12) buster-security; urgency=high

  * Non-maintainer upload by the ELTS security team.
  * CVE-2024-41989: The floatformat template filter was subject to
    significant memory consumption when given a string representation of a
    number in scientific notation with a large exponent. (Closes: #1078074)
  * CVE-2024-41991: Fix an issue where the urlize and urlizetrunc template
    filters (as well as the AdminURLFieldWidget widget) were subject to a
    potential denial-of-service attack via certain inputs with a very large
    number of Unicode characters. (Closes: #1078074)
  * CVE-2024-42005: Fix an issue where the QuerySet.values() and values_list()
    methods on models with a JSONFields were subject to a SQL injection attack
    through column aliases via a crafted JSON object key. (Closes: #1078074)
  * Add python-psycopg2 and python3-psycopg2 to Build-Depends to support
    the patch for CVE-2024-42005.

 -- Chris Lamb <lamby@debian.org>  Tue, 27 Aug 2024 13:41:41 +0100

python-django (1:1.11.29-1+deb10u11) buster-security; urgency=high

  * Non-maintainer upload by the Debian LTS team:

    - CVE-2021-28658: Prevent a directory traversal issue which could have been
      exploited by maliciously crafted filenames. However, the built-in upload
      handlers were not affected by this vulnerability. (Closes: #986447)

    - CVE-2021-31542: Fix a potential directory-traversal vulnerability that
      could have been exploited by uploaded files. The MultiPartParser,
      UploadedFile and FieldFile classes allowed directory-traversal via
      uploaded files with suitably crafted file names. In order to mitigate
      this risk, stricter basename and path sanitation is now applied.
      Specifically, empty file names and paths with dot segments are rejected.
      (Closes: #988053)


