## python-django 2.2.3

=== debian/changelog ===
python-django (2:2.2.3-5) unstable; urgency=medium

  [ Chris Lamb ]
  * Drop Pre-Depends on version of dpkg that is now satisfied in oldoldstable.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Jul 2019 11:36:15 -0300

python-django (2:2.2.3-4) unstable; urgency=medium

  * Fixup debian/python-django-doc.doc-base to refer to the new location(s) of
    the documentation. (Closes: #931652)

 -- Chris Lamb <lamby@debian.org>  Mon, 08 Jul 2019 21:49:47 -0300

python-django (2:2.2.3-3) unstable; urgency=medium

  * python3-mysqlclient 1.3.13 or newer is now required so add a "Breaks" on
    versions older than this. Thanks to Zhang Jingqiang for the report.
    (Closes: #931592)
  * Drop "Python 3 version" from package description; we only have this
    version now.
  * Run `wrap-and-sort -sa`.

 -- Chris Lamb <lamby@debian.org>  Mon, 08 Jul 2019 09:57:25 -0300

python-django (2:2.2.3-2) unstable; urgency=medium

  * Upload (Python 3.x-only) branch to unstable after the release of
    Debian "buster".
  * Update debian/gbp.conf to refer to debian/sid after merge.

 -- Chris Lamb <lamby@debian.org>  Sun, 07 Jul 2019 11:59:04 -0300

python-django (2:2.2.3-1) experimental; urgency=medium

  * New upstream security release.
    <https://www.djangoproject.com/weblog/2019/jul/01/security-releases/>
    (Closes: #931316)

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Jul 2019 16:56:16 -0300

python-django (2:2.2.1-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/2.2/releases/2.2.1/>

 -- Chris Lamb <lamby@debian.org>  Wed, 01 May 2019 10:53:33 +0100

python-django (2:2.2-1) experimental; urgency=medium

  * New upstream realease.
    <https://docs.djangoproject.com/en/2.2/releases/2.2/>

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Apr 2019 21:45:56 +0200

python-django (2:2.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate release.
    <https://www.djangoproject.com/weblog/2019/mar/18/django-22-rc1/>
  * Drop a test that fails with "OverflowError: timestamp out of range for
    platform time_t" on 32-bit platforms. (Closes: #924784)

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Mar 2019 10:30:05 -0400

python-django (2:2.2~beta1-1) experimental; urgency=medium

  * New upstream beta release.
    <https://www.djangoproject.com/weblog/2019/feb/11/django-22-beta-1-released/>

 -- Chris Lamb <lamby@debian.org>  Mon, 11 Feb 2019 14:47:30 +0100

python-django (2:2.2~alpha1-1) experimental; urgency=medium

  * New upstream alpha release.
    <https://www.djangoproject.com/weblog/2019/jan/17/django-22-alpha-1/>

 -- Chris Lamb <lamby@debian.org>  Thu, 17 Jan 2019 18:19:06 +0000

python-django (2:2.1.5-1) experimental; urgency=medium

  * New upstream security release:
    - CVE-2019-3498: Content spoofing possibility in the default 404 page.
      (Closes: #918230)
    <https://www.djangoproject.com/weblog/2019/jan/04/security-releases/>
  * Drop 0007-Fixed-29182-Adjusted-SQLite-schema-table-alteration-.patch;
    applied upstream. (re. #915626)
  * Move to debhelper-compat virtual package.
  * debian/control:
    - Bump debhelper compatibility level to 12.
    - Bump Standards-Version to 4.3.0.

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Jan 2019 18:49:35 +0100

python-django (2:2.1.4-2) experimental; urgency=medium

  * Apply patch from upstream to fix compatibility with SQLite 3.26.
    (Closes: #915626)

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Dec 2018 13:53:33 +0100

python-django (2:2.1.4-1) experimental; urgency=medium

  * New upstream bugfix release:
    <https://docs.djangoproject.com/en/stable/releases/2.1.4/>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Dec 2018 22:57:24 +0100

python-django (2:2.1.3-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/2.1/releases/2.1.3/>

 -- Chris Lamb <lamby@debian.org>  Thu, 01 Nov 2018 15:39:14 +0000

python-django (2:2.1.2-2) experimental; urgency=medium

  * Default to supporting Spatialite >= 4.2. (Closes: #910240)
  * debian/control: Update libgdal's SONAME in Suggests.
  * Add libsqlite3-mod-spatialite to Suggests.

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Oct 2018 10:22:37 +0100

python-django (2:2.1.2-1) experimental; urgency=medium

  * New upstream security release.

    CVE-2018-16984: Password hash disclosure to "view only" admin users. If an
    admin user has the change permission to the user model, only part of the
    password hash is displayed in the change form. Admin users with the view
    (but not change) permission to the user model were displayed the entire
    hash.  While it's typically infeasible to reverse a strong password hash,
    if a site uses weaker password hashing algorithms such as MD5 or SHA1,
    it could be a problem. (Closes: #910016)

  * Move all documentation to /usr/share/doc.
  * Really remove all license files (eg. LICENSE-SELECT2.md).
  * debian/tests/control: Drop deprecated needs-recommends test restriction.

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Oct 2018 14:23:27 +0100

python-django (2:2.1.1-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/2.1/releases/2.1.1/>
  * Bump Standards-Version to 4.2.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 01 Sep 2018 09:28:27 +0100

python-django (2:2.1-1) experimental; urgency=medium

  * New upstream release.
    - CVE-2018-14574: Open redirect possibility in CommonMiddleware.
      (Closes: #905216)

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Aug 2018 22:59:20 +0800

python-django (2:2.1~rc1-1) experimental; urgency=medium

  * New upstream RC release.
    <https://www.djangoproject.com/weblog/2018/jul/18/django-21-rc1/>
  * Bump Standards-Version to 4.1.5.

 -- Chris Lamb <lamby@debian.org>  Thu, 19 Jul 2018 12:11:45 +0800

python-django (2:2.1~beta1-1) experimental; urgency=medium


