## python-django 2.2.11

=== debian/changelog ===
python-django (2:2.2.11-1) unstable; urgency=medium

  * New upstream security release. (Closes: #953102)
    <https://www.djangoproject.com/weblog/2020/mar/04/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 04 Mar 2020 08:01:27 -0800

python-django (2:2.2.10-1) unstable; urgency=medium

  * New upstream security release. (Closes: #950581)
    <https://www.djangoproject.com/weblog/2020/feb/03/security-releases/>
  * Bump Standards-Version to 4.5.0.

 -- Chris Lamb <lamby@debian.org>  Tue, 04 Feb 2020 17:19:01 +0100

python-django (2:2.2.9-2) unstable; urgency=medium

  * Add python3-selenium to test-dependencies and to a runtime "Suggests".
    (Closes: #947549)

 -- Chris Lamb <lamby@debian.org>  Sat, 28 Dec 2019 11:11:37 +0000

python-django (2:2.2.9-1) unstable; urgency=medium

  * New upstream security release. (Closes: #946937)
    <https://www.djangoproject.com/weblog/2019/dec/18/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Sat, 28 Dec 2019 11:11:32 +0000

python-django (2:2.2.8-1) unstable; urgency=medium

  * New upstream security release.
    <https://www.djangoproject.com/weblog/2019/dec/02/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Mon, 02 Dec 2019 12:36:34 +0000

python-django (2:2.2.7-1) unstable; urgency=medium

  [ Chris Lamb ]
  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/2.2/releases/2.2.7/>

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

 -- Chris Lamb <lamby@debian.org>  Mon, 04 Nov 2019 10:59:01 -0800

python-django (2:2.2.6-1) unstable; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/2.2/releases/2.2.6/>

 -- Chris Lamb <lamby@debian.org>  Tue, 01 Oct 2019 10:44:50 +0100

python-django (2:2.2.5-1) unstable; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/2.2/releases/2.2.5/>

 -- Chris Lamb <lamby@debian.org>  Mon, 02 Sep 2019 14:07:48 +0100

python-django (2:2.2.4-1) unstable; urgency=medium

  * New upstream security release. (Closes: #934026)
    <https://www.djangoproject.com/weblog/2019/aug/01/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Mon, 02 Sep 2019 14:02:43 +0100
