## python-django 2.2.12

=== debian/changelog ===
python-django (2:2.2.12-1) unstable; urgency=medium

  * New upstream release.
    <https://docs.djangoproject.com/en/3.0/releases/2.2.12/>

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Apr 2020 10:43:19 +0100
