=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
@@ -24,17 +24,20 @@
  python3-mock <!nocheck>,
  python3-numpy <!nocheck>,
  python3-pil <!nocheck>,
+ python3-selenium <!nocheck>,
  python3-setuptools,
  python3-sphinx,
  python3-sqlparse <!nocheck>,
  python3-tblib <!nocheck>,
  python3-tz <!nocheck>,
  python3-yaml <!nocheck>,
+ sphinx-doc <!nodoc>,
 Build-Depends-Indep:
  libjs-jquery,
 Homepage: http://www.djangoproject.com/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-django.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django
+Rules-Requires-Root: no
 
 Package: python3-django
 Architecture: all
@@ -44,6 +47,7 @@
  python-django-common,
 Breaks:
  python-django-common,
+ python3-django-filters (<< 2.1.0),
  python3-mysqldb (<< 1.3.13),
 Depends:
  ${misc:Depends},
@@ -66,6 +70,7 @@
  python3-mysqldb,
  python3-pil,
  python3-psycopg2,
+ python3-selenium,
  python3-sqlite,
  python3-yaml,
 Description: High-level Python web development framework
@@ -93,6 +98,7 @@
 Package: python-django-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
