## python-django 2.2.16

=== debian/changelog ===
python-django (2:2.2.16-1ubuntu0.4) groovy-security; urgency=medium

  * SECURITY UPDATE: Potential directory-traversal via uploaded files
    - debian/patches/CVE-2021-31542.patch: tighten path & file name
      sanitation in file uploads in django/core/files/storage.py,
      django/core/files/uploadedfile.py, django/core/files/utils.py,
      django/db/models/fields/files.py, django/http/multipartparser.py,
      django/utils/text.py, tests/file_storage/test_generate_filename.py,
      tests/file_uploads/tests.py, tests/utils_tests/test_text.py,
      tests/forms_tests/field_tests/test_filefield.py.
    - CVE-2021-31542

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 28 Apr 2021 06:39:14 -0400

python-django (2:2.2.16-1ubuntu0.3) groovy-security; urgency=medium

  * SECURITY UPDATE: Potential directory-traversal via uploaded files
    - debian/patches/CVE-2021-28658.patch: properly sanitize filenames in
      django/http/multipartparser.py, tests/file_uploads/tests.py,
      tests/file_uploads/uploadhandler.py, tests/file_uploads/urls.py,
      tests/file_uploads/views.py.
    - CVE-2021-28658

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 30 Mar 2021 14:51:14 -0400

python-django (2:2.2.16-1ubuntu0.2) groovy-security; urgency=medium

  * SECURITY UPDATE: Web cache poisoning via limited_parse_qsl()
    - debian/patches/CVE-2021-23336.patch: no longer allow ; in parse_qsl()
      in django/utils/http.py, tests/handlers/test_exception.py,
      tests/requests/test_data_upload_settings.py,
      tests/utils_tests/test_http.py.
    - CVE-2021-23336

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 18 Feb 2021 10:37:09 -0500

python-django (2:2.2.16-1ubuntu0.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Potential directory-traversal via archive.extract()
    - debian/patches/CVE-2021-3281.patch: check for invalid paths in
      django/utils/archive.py.
    - CVE-2021-3281

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Jan 2021 07:29:17 -0500

python-django (2:2.2.16-1) unstable; urgency=medium

  * New upstream security release to address CVE-2020-24583, CVE-2020-24584.
    (Closes: #969367)
    <https://www.djangoproject.com/weblog/2020/sep/01/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Tue, 01 Sep 2020 12:21:39 +0100

python-django (2:2.2.15-2) unstable; urgency=medium

  * Set the PYTHONPATH in the autopkgtests in the same way that we do in
    debian/rules. (Closes: #968577)

 -- Chris Lamb <lamby@debian.org>  Mon, 17 Aug 2020 23:02:17 +0100

python-django (2:2.2.15-1) unstable; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/3.0/releases/2.2.15/>
  * Move to compat level 13.

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Aug 2020 10:30:30 +0100

python-django (2:2.2.14-1) unstable; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/3.0/releases/2.2.14/>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Jul 2020 15:23:50 +0100

python-django (2:2.2.13-2) unstable; urgency=medium

  * Backport a regression in the handling of CVE-2020-13254.

 -- Chris Lamb <lamby@debian.org>  Fri, 12 Jun 2020 11:08:07 +0100

python-django (2:2.2.13-1) unstable; urgency=medium

  * New upstream security release.
    <https://www.djangoproject.com/weblog/2020/jun/03/security-releases/>
  * Drop from debian/source/include-binaries the file
    debian/patches/0006-Fixed-a-missing-pyc-test-file-in-source-distribution.patch.

 -- Chris Lamb <lamby@debian.org>  Wed, 03 Jun 2020 20:41:57 +0100
