## python-django 2.2.20

=== debian/changelog ===
python-django (2:2.2.20-1ubuntu0.4) hirsute-security; urgency=medium

  * SECURITY UPDATE: Denial-of-service possibility in
    UserAtributeSimilarityValidator
    - debian/patches/CVE-2021-45115.patch: prevent DoS in
      django/contrib/auth/password_validation.py,
      docs/topics/auth/passwords.txt, tests/auth_tests/test_validators.py.
    - CVE-2021-45115
  * SECURITY UPDATE: Potential information disclosure in dictsort template
    filter
    - debian/patches/CVE-2021-45116.patch: properly handle private
      variables in django/template/defaultfilters.py,
      docs/ref/templates/builtins.txt,
      tests/template_tests/filter_tests/test_dictsort.py,
      tests/template_tests/filter_tests/test_dictsortreversed.py.
    - CVE-2021-45116
  * SECURITY UPDATE: Potential directory-traversal via Storage.save()
    - debian/patches/CVE-2021-31542-2.patch: fix regression caused by fix
      for CVE-2021-31542, and add allow_relative_path parameter to
      validate_file_name(), required by the following patch.
    - debian/patches/CVE-2021-45452.patch: fix path traversal in
      django/core/files/storage.py,
      tests/file_storage/test_generate_filename.py,
      tests/file_storage/tests.py.
    - CVE-2021-45452

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 04 Jan 2022 07:29:07 -0500

python-django (2:2.2.20-1ubuntu0.3) hirsute-security; urgency=medium

  * SECURITY UPDATE: potential bypass of an upstream access control based on 
    URL paths
    - debian/patches/CVE-2021-44420.patch: fix path match in
      django/urls/resolvers.py, tests/urlpatterns/tests.py.
    - CVE-2021-44420

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 30 Nov 2021 06:58:35 -0500

python-django (2:2.2.20-1ubuntu0.2) hirsute-security; urgency=medium

  * SECURITY UPDATE: header injection in URLValidator with Python 3.9.5+
    - debian/patches/CVE-2021-32052.patch: prevent newlines and tabs from
      being accepted in URLValidator in django/core/validators.py,
      tests/validators/tests.py.
    - CVE-2021-32052
  * SECURITY UPDATE: potential directory traversal via admindocs
    - debian/patches/CVE-2021-33203.patch: use safe_join in
      django/contrib/admindocs/views.py, tests/admin_docs/test_views.py.
    - CVE-2021-33203
  * SECURITY UPDATE: possible indeterminate SSRF, RFI, and LFI attacks
    since validators accepted leading zeros in IPv4 addresses
    - debian/patches/CVE-2021-33571.patch: prevent leading zeros in IPv4
      addresses in django/core/validators.py,
      tests/validators/invalid_urls.txt, tests/validators/tests.py,
      tests/validators/valid_urls.txt.
    - CVE-2021-33571

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 26 May 2021 08:52:14 -0400

python-django (2:2.2.20-1ubuntu0.1) hirsute-security; urgency=medium

  * SECURITY UPDATE: Potential directory-traversal via uploaded files
    - debian/patches/CVE-2021-31542.patch: tighten path & file name
      sanitation in file uploads in django/core/files/storage.py,
      django/core/files/uploadedfile.py, django/core/files/utils.py,
      django/db/models/fields/files.py, django/http/multipartparser.py,
      django/utils/text.py, tests/file_storage/test_generate_filename.py,
      tests/file_uploads/tests.py, tests/utils_tests/test_text.py,
      tests/forms_tests/field_tests/test_filefield.py.
    - CVE-2021-31542

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 28 Apr 2021 06:36:37 -0400

python-django (2:2.2.20-1) unstable; urgency=medium

  * New upstream security release:

    - CVE-2021-28658: The MultiPartParser class allowed directory-traversal
      via uploaded files via maliciously crafted filenames. (Closes: #986447)

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Apr 2021 11:44:51 +0100

python-django (2:2.2.19-1) unstable; urgency=medium

  * New upstream security release:

    - CVE-2021-23336: Prevent a web cache poisoning attack via "parameter
      cloaking". Django contains a copy of urllib.parse.parse_qsl() which was
      added to backport some security fixes. A further security fix has been
      issued recently such that parse_qsl() no longer allows using ";" as a
      query parameter separator by default. (Closes: #983090)

    <https://www.djangoproject.com/weblog/2021/feb/19/security-releases/>

  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Fri, 19 Feb 2021 09:22:37 +0000

python-django (2:2.2.18-1) unstable; urgency=medium

  * New upstream security release:

    - CVE-2021-3281: Potential directory-traversal via archive.extract().

      The django.utils.archive.extract() function, used by startapp --template
      and startproject --template, allowed directory-traversal via an archive
      with absolute paths or relative paths with dot segments.
      (Closes: #981562)

    <https://www.djangoproject.com/weblog/2021/feb/01/security-releases/>

  * Drop 0006-Fixed-31850-Fixed-BasicExtractorTests.test_extractio.patch;
    applied upstream.

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Feb 2021 11:59:58 +0000

python-django (2:2.2.17-2) unstable; urgency=medium

  * Fix compatibility with xgettext 0.21. (Closes: #978263)
  * Move to debian/watch file version 4.
  * Bump Standards-Version to 4.5.1.

 -- Chris Lamb <lamby@debian.org>  Sun, 27 Dec 2020 16:42:36 +0000

python-django (2:2.2.17-1) unstable; urgency=medium

  [ Chris Lamb ]
  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/stable/releases/2.2.17/>

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Nov 2020 10:46:54 +0000
