## python-django 2.2.22

=== debian/changelog ===
python-django (2:2.2.22-1) unstable; urgency=medium

  * New upstream security release:
    - CVE-2021-32052: Header injection possibility since URLValidator accepted
      newlines in input on Python 3.9.5+. (Closes: #988136)
    - Full release notes:
      <https://www.djangoproject.com/weblog/2021/may/06/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Thu, 06 May 2021 15:52:24 +0100

python-django (2:2.2.21-1) unstable; urgency=medium

  * New upstream security release:
    - CVE-2021-31542: Potential directory-traversal via uploaded files.
      (Closes: #988053)
    - Full release notes:
      <https://www.djangoproject.com/weblog/2021/may/04/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Tue, 04 May 2021 13:07:54 +0100
