## python-django 2.2.23

=== debian/changelog ===
python-django (2:2.2.23-1) unstable; urgency=medium

  * New upstream release.
    <https://docs.djangoproject.com/en/3.2/releases/2.2.23/>

 -- Chris Lamb <lamby@debian.org>  Thu, 13 May 2021 10:41:04 +0100
