## python-django 2.2.24

=== debian/changelog ===
python-django (2:2.2.24-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Tue, 08 Jun 2021 08:13:10 +0100

python-django (2:2.2.24-1) unstable; urgency=medium

  * New upstream security release. (Closes: #989394)

    - CVE-2021-33203: Potential directory traversal via admindocs

      Staff members could use the admindocs TemplateDetailView view to
      check the existence of arbitrary files. Additionally, if (and only
      if) the default admindocs templates have been customized by the
      developers to also expose the file contents, then not only the
      existence but also the file contents would have been exposed.

      As a mitigation, path sanitation is now applied and only files
      within the template root directories can be loaded.

      This issue has low severity, according to the Django security
      policy.

      Thanks to Rasmus Lerchedahl Petersen and Rasmus Wriedt Larsen from
      the CodeQL Python team for the report.

    - CVE-2021-33571: Possible indeterminate SSRF, RFI, and LFI attacks
      since validators accepted leading zeros in IPv4 addresses

      URLValidator, validate_ipv4_address(), and
      validate_ipv46_address() didn't prohibit leading zeros in octal
      literals. If you used such values you could suffer from
      indeterminate SSRF, RFI, and LFI attacks.

      validate_ipv4_address() and validate_ipv46_address() validators
      were not affected on Python 3.9.5+.

      This issue has medium severity, according to the Django security
      policy.

 -- Chris Lamb <lamby@debian.org>  Wed, 02 Jun 2021 16:15:13 +0100

python-django (2:2.2.20-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 11 Apr 2021 11:33:23 +0100

python-django (2:2.2.19-1~bpo10+2) buster-backports; urgency=medium

  [ Wookey ]
  * Relax checks to work with python3-myqsldb 1.3.10 in stable.
    (Closes: #981357)

 -- Chris Lamb <lamby@debian.org>  Fri, 09 Apr 2021 08:52:17 +0100

python-django (2:2.2.19-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Feb 2021 10:10:28 +0000

python-django (2:2.2.18-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Feb 2021 08:21:50 +0000

python-django (2:2.2.17-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 30 Dec 2020 10:46:25 +0000

python-django (2:2.2.17-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 09 Nov 2020 09:53:10 +0000

python-django (2:2.2.16-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Thu, 03 Sep 2020 10:40:39 +0100

python-django (2:2.2.15-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 09 Aug 2020 11:20:29 +0100

python-django (2:2.2.14-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Tue, 07 Jul 2020 12:39:05 +0100

python-django (2:2.2.13-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 17 Jun 2020 10:27:04 +0100

python-django (2:2.2.13-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Tue, 09 Jun 2020 14:57:15 +0100

python-django (2:2.2.11-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 28 Mar 2020 18:52:16 +0100
