=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
+ Mattia Rizzolo <mattia@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -36,8 +36,8 @@
 Build-Depends-Indep:
  libjs-jquery,
 Homepage: http://www.djangoproject.com/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django
 Rules-Requires-Root: no
 
 Package: python3-django
@@ -49,7 +49,7 @@
 Breaks:
  python-django-common,
  python3-django-filters (<< 2.1.0),
- python3-mysqldb (<< 1.3.13),
+ python3-mysqldb (<< 1.3.10),
 Depends:
  ${misc:Depends},
  ${python3:Depends},
